## Apache Zeta Components Manual :: Docs For Class ezcWebdavOptionsResponse

### Webdav::ezcWebdavOptionsResponse

### Class ezcWebdavOptionsResponse

Class generated by the backend to respond to OPTIONS requests.

If a ezcWebdavBackend receives an instance of ezcWebdavOptionsRequest it might react with an instance of ezcWebdavOptionsResponse or with producing an error.

Source for this file: /Webdav/src/responses/options.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavResponse
          |
          --ezcWebdavOptionsResponse

Version: | //autogentag//

### Constants

`VERSION_ONE = '1'` |
`VERSION_ONE_EXTENDED = '1#extended'` |
`VERSION_TWO = '2'` |

### Inherited Constants

From ezcWebdavResponse:
`ezcWebdavResponse::STATUS_100` |
`ezcWebdavResponse::STATUS_101` |
`ezcWebdavResponse::STATUS_200` |
`ezcWebdavResponse::STATUS_201` |
`ezcWebdavResponse::STATUS_202` |
`ezcWebdavResponse::STATUS_203` |
`ezcWebdavResponse::STATUS_204` |
`ezcWebdavResponse::STATUS_205` |
`ezcWebdavResponse::STATUS_206` |
`ezcWebdavResponse::STATUS_207` |
`ezcWebdavResponse::STATUS_300` |
`ezcWebdavResponse::STATUS_301` |
`ezcWebdavResponse::STATUS_302` |
`ezcWebdavResponse::STATUS_303` |
`ezcWebdavResponse::STATUS_304` |
`ezcWebdavResponse::STATUS_305` |
`ezcWebdavResponse::STATUS_400` |
`ezcWebdavResponse::STATUS_401` |
`ezcWebdavResponse::STATUS_402` |
`ezcWebdavResponse::STATUS_403` |
`ezcWebdavResponse::STATUS_404` |
`ezcWebdavResponse::STATUS_405` |
`ezcWebdavResponse::STATUS_406` |
`ezcWebdavResponse::STATUS_407` |
`ezcWebdavResponse::STATUS_408` |
`ezcWebdavResponse::STATUS_409` |
`ezcWebdavResponse::STATUS_410` |
`ezcWebdavResponse::STATUS_411` |
`ezcWebdavResponse::STATUS_412` |
`ezcWebdavResponse::STATUS_413` |
`ezcWebdavResponse::STATUS_414` |
`ezcWebdavResponse::STATUS_415` |
`ezcWebdavResponse::STATUS_423` |
`ezcWebdavResponse::STATUS_424` |
`ezcWebdavResponse::STATUS_500` |
`ezcWebdavResponse::STATUS_501` |
`ezcWebdavResponse::STATUS_502` |
`ezcWebdavResponse::STATUS_503` |
`ezcWebdavResponse::STATUS_504` |
`ezcWebdavResponse::STATUS_505` |
`ezcWebdavResponse::STATUS_507` |

### Inherited Member Variables

From ezcWebdavResponse
public | `ezcWebdavResponse::$errorNames`
protected | `ezcWebdavResponse::$headers`
protected | `ezcWebdavResponse::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( [ $version = null] )` Creates a new response object.
public void | `validateHeaders( )` Validates the headers set in this response.

### Inherited Methods

From ezcWebdavResponse
public void | `ezcWebdavResponse::__construct()` Construct error response from status.
public mixed | `ezcWebdavResponse::getHeader()` Returns the contents of a specific header.
public array(string=>string) | `ezcWebdavResponse::getHeaders()` Returns all headers.
public void | `ezcWebdavResponse::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavResponse::validateHeaders()` Validates the headers set in this response.
public string | `ezcWebdavResponse::__toString()` Return valid HTTP response string from error code.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( [string $version = null] )

Creates a new response object.

Creates a new response object, that indicates the given WebDAV $version to be supported by the server.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$version` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavResponse::__construct()` | Construct error response from status.

#### validateHeaders

void validateHeaders( )

Validates the headers set in this response.

This method is called by ezcWebdavServer after the response object has been created by an ezcWebdavBackend. It validates all headers, specific to this response, for existance of required headers and validity of all headers used. The call of the parent method is *mandatory* to have common WebDAV and HTTP headers validated, too.

##### Exceptions:

Type | Description
--- | ---
`ezcWebdavInvalidHeaderException` | if a header is present, but its content does not validate.
`ezcWebdavMissingHeaderException` | if a required header is missing.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavResponse::validateHeaders()` | Validates the headers set in this response.

Documentation generated by phpDocumentor 1.4.3